stages:
    - build

# iproute2 : /bin/ip
# net-tools : /sbin/ifconfig

miniupnpd_iptables:
    stage: build
    before_script:
        - >
          apt-get update -qq && apt-get install -y -qq iproute2
          libip4tc-dev libip6tc-dev libiptc-dev libxtables-dev
          libnfnetlink-dev uuid-dev make gcc
          libmnl-dev libssl-dev net-tools doxygen graphviz
    script:
        - "cd miniupnpd"
        - "./configure || exit 1"
        - "make -j3 && make check || exit 1"
        - "make install DESTDIR=/tmp/miniupnpd_iptables_install || exit 1"
        - "make dox"

miniupnpd_nftables:
    stage: build
    before_script:
        - >
          apt-get update -qq && apt-get install -y -qq iproute2
          libnftables-dev libnftnl-dev
          libnfnetlink-dev uuid-dev make gcc
          libmnl-dev libssl-dev net-tools doxygen graphviz
    script:
        - "cd miniupnpd"
        - "./configure --firewall=nftables || exit 1"
        - "make -j3 && make check || exit 1"
        - "make install DESTDIR=/tmp/miniupnpd_nftables_install || exit 1"
        - "make dox"

# i686-w64-mingw32-gcc
miniupnpc:
    stage: build
    before_script:
        - >
          apt-get update -qq && apt-get install -y -qq libevent-dev
          uuid-dev make gcc gcc-mingw-w64-i686 mingw-w64-tools
          net-tools doxygen graphviz
    script:
        - "cd miniupnpc"
        - "make -j3 && make check || exit 1"
        - "make install DESTDIR=/tmp/miniupnpc_install || exit 1"
        - "make clean || exit 1"
        - "make -f Makefile.mingw DLLWRAP=i686-w64-mingw32-dllwrap WINDRES=i686-w64-mingw32-windres CC=i686-w64-mingw32-gcc AR=i686-w64-mingw32-ar"
